package de.tudresden.inf.st.mquat.solving.genetic.opt4j;

import de.tudresden.inf.st.mquat.jastadd.model.Root;
import de.tudresden.inf.st.mquat.solving.genetic.opt4j.custom.optimizer.MaxSolvingTime;
import org.opt4j.core.problem.ProblemModule;

public class Opt4jModule extends ProblemModule {

  @MaxSolvingTime
  public Long maxSolvingTime = Long.MAX_VALUE;
  private static Root model;

  public static Root getModel() {
    return model;
  }

  public static void setModel(Root model) {
    Opt4jModule.model = model;
  }

  public void setMaxSolvingTime(long maxSolvingTime) {
    this.maxSolvingTime = maxSolvingTime;
  }

  @Override
  protected void configure() {
    bindProblem(Opt4jCreator.class, Opt4jDecoder.class, Opt4jEvaluator.class);
    bindConstant(MaxSolvingTime.class).to(maxSolvingTime);
  }

  @Override
  protected void config() {
  }

}
